## prayer 1.3.3

=== accountd/Makefile ===
# $Cambridge: hermes/src/prayer/accountd/Makefile,v 1.11 2009/09/01 10:35:54 dpc22 Exp $
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2002
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

BASECFLAGS += -I../lib

# Enable Electric Fence
ifeq ($(strip $(FENCE_ENABLE)), true)
  BASECFLAGS += $(FENCE_INCLUDE)
  BASE_LIBS  += $(FENCE_LIBS)
endif

# Add PAM if backend needs pam
ifeq ($(strip $(ACCOUNTD_PAM_ENABLE)), true)
  BASE_INCLUDE      += $(PAM_INCLUDE)
  BASE_LIBS         += $(PAM_LIBS)
  ACCOUNTD_PAM_DEFS  = -DACCOUNTD_PAM_ENABLE=1
endif

MYCFLAGS  = $(BASECFLAGS)
MYLDFLAGS = $(BASELDFLAGS) 
MYLIBS    = $(BASE_LIBS)

ifeq ($(strip $(ACCOUNTD_SSL_ENABLE)), true)
  SSL_LIB  = ../lib/lib_withssl.a
  MYLIBS += $(SSL_LIBS)
  ifeq ($(strip $(SESSION_CACHE_ENABLE)), true)
    # Berkeley DB required for SSL session cache.
    MYLIBS    += $(DB_LIBS)
  endif
else
  SSL_LIB  = ../lib/lib_nossl.a
endif


all: prayer-accountd

########################################################################

OBJS = config.o log.o \
 password.o fullname.o quota.o file.o mail.o \
 filter.o checksum.o authenticate.o $(SSL_LIB)

prayer-accountd: $(OBJS) accountd.o
	$(CC) $(MYLDFLAGS) -o prayer-accountd accountd.o $(OBJS) $(MYLIBS)

test: test.o $(OBJS)
	$(CC) $(MYLDFLAGS) -o test test.o $(OBJS) $(MYLIBS)

# Default build rule
%.o: %.c *.h Makefile
	$(CC) $(MYCFLAGS) -c $<

accountd.o: accountd.c *.h Makefile
	$(CC) $(MYCFLAGS) -c \
	  -DACCOUNTD_CONFIG_FILE=\"$(ACCOUNTD_CONFIG_FILE)\" $<

authenticate.o: authenticate.c *.h Makefile
	$(CC) $(MYCFLAGS) -c $(ACCOUNTD_PAM_DEFS) $<

clean:
	-rm -f prayer-accountd test core *.o *~ \#*\# 

install:
	$(INSTALL) -m 755 -o ${RO_USER} -g ${RW_GROUP} \
	prayer-accountd ${BROOT}${BIN_DIR}

=== session/Makefile ===
# $Cambridge: hermes/src/prayer/session/Makefile,v 1.7 2010/07/08 10:20:42 dpc22 Exp $
#
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

BASECFLAGS += -I../lib -I../shared

# Enable LDAP
ifeq ($(strip $(LDAP_ENABLE)), true)
  LDAP_DEF    = -DLDAP_ENABLE
  BASECFLAGS += $(LDAP_INCLUDE)
endif

# Enable Electric Fence
ifeq ($(strip $(FENCE_ENABLE)), true)
  BASECFLAGS += $(FENCE_INCLUDE)
endif

# Enable libtidy
ifeq ($(strip $(TIDY_ENABLE)), true)
  TIDY_DEF = -DTIDY_ENABLE=1
  BASECFLAGS += $(TIDY_INCLUDE)
  BASE_LIBS  += $(TIDY_LIBS)
endif

MYCFLAGS  = $(BASECFLAGS) $(CCLIENT_INCLUDE)

SESSION_OBJS = abook.o \
 account.o account_msshell.o account_sieve.o account_support.o \
 addr.o checksum.o dictionary.o display.o draft.o favourite.o \
 filter.o folderlist.o html_secure.o html_secure_tidy.o lookup.o \
 mc.o ml.o mm.o msgmap.o options.o prefs.o rfc1522.o \
 role.o session.o session_streams.o \
 sieve.o speller.o stream.o utf8_calc.o wrap.o


all: $(SESSION_OBJS)
	rm -f session.a
	ar r session.a $(SESSION_OBJS)

# Default build rule
%.o: %.c *.h Makefile
	$(CC) $(MYCFLAGS) -c $<

# lookup.o: need to add LDAP_ENABLE
lookup.o: lookup.c *.h Makefile
	$(CC) $(MYCFLAGS) $(LDAP_DEF) -c $<

html_secure_tidy.o: html_secure_tidy.c *.h Makefile
	$(CC) $(MYCFLAGS) $(TIDY_DEF) -c $<

clean:
	-rm -f session.a $(SESSION_OBJS) *.flc *~ \#*\#

## prayer 1.3.3-dfsg1

=== debian/changelog ===
prayer (1.3.3-dfsg1-4) unstable; urgency=low

  * Merge ld-as-needed.diff from Ubuntu into dlopen_templates.patch
    (Closes: #607559).
  * dlopen_templates.patch: Add missing #include "dlopen_templates.h" to
    servers/prayer_shared.h.
  * hurd.patch (new): Use the SPT_CHANGEARGV implementation of
    setproctitle() on the Hurd.
  * Add basic manpage for prayer-accountd(8).
  * unbrand_accountd.patch: Remove some Cambridge-specific parts of the
    filter handling.
  * Drop obsolete Build-Depends alternative libc-client2007b-dev.
  * Increase Debhelper compat level to 7.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 27 Mar 2011 22:49:18 +0200

prayer (1.3.3-dfsg1-3ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Dec 2010 19:07:04 +0100

prayer (1.3.3-dfsg1-3) unstable; urgency=high

  * ipv6_v6only.patch (new): Set the IPV6_V6ONLY socket option on
    AF_INET6 sockets; since Prayer by default enumerates available address
    families and calls bind() once for each, conflicts will occur
    otherwise (Closes: #607261).

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 16 Dec 2010 20:16:41 +0100

prayer (1.3.3-dfsg1-2) unstable; urgency=high

  * Convert (trivially, since CDBS with quilt was already used) to source
    format 3.0 (quilt).
  * no_db_version_check.patch: Remove unnecessary and incorrect check that
    not only the major and minor version numbers of the current libdb are
    the same as at compile time, but also that the patch number is equal
    or greater, which should not be a concern (Closes: #592119).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 07 Aug 2010 21:07:53 +0200

prayer (1.3.3-dfsg1-1) unstable; urgency=low

  * New upstream release.
    - Dropped kfreebsd.patch, clean_completely.patch, and
      manpage_error.patch; all incorporated upstream.
    * makefile_install_config.patch: Updated; some parts incorporated
      upstream.
  * prayer-templates-dev.install: Only template_structs.h and misc.h
    needed henceforth, since only those files are #included by compiled
    templates.
  * template_sdk.patch: The #include that templates/src/build_index.pl
    generates was not changed, though.
  * debian/Config, debian/control: Enable libtidy for HTML parsing and
    sanitisation, fixing certain XSS problems, which were due to simple
    substring matching being used.
  * prayer.init, prayer-accountd.init: Add $remote_fs to, and move
    $local_fs to, Required-Start.
  * Upgrade to Standards-Version 3.9.0:
    * Use Breaks instead of Conflicts to handle the renaming of
      prayer-templates.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 22 Jul 2010 03:27:52 +0200

prayer (1.3.2-dfsg1-4) unstable; urgency=low

  * Undo inadvertent inclusion of /usr/include/prayer in
    prayer-templates-src (Closes: #557056).

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 24 Nov 2009 23:14:12 +0100

prayer (1.3.2-dfsg1-3) unstable; urgency=low

  * Replace non-existing libc-client2007-dev with new libc-client2007e-dev
    among the libc-client Build-Depends alternatives (Closes: #552717).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 31 Oct 2009 13:57:08 +0100

prayer (1.3.2-dfsg1-2) unstable; urgency=low

  * dlopen_templates.patch:
    * templates/{cam,old}/Makefile: Define the symbols template_map and
      template_map_count as aliases to the template_$(TYPE)_map and
      template_$(TYPE)_map_count when linking, so that template libraries
      can be loaded by other names than the original one. Also remove some 
      cruft.
    * shared/dlopen_templates.c: Use those symbols instead.
  * Add symlinks so that template_set = xhtml_strict will still work.
  * Update the names of the directories for locally modified templates
    (under /etc/prayer/templates) to reflect the new template names.
  * template_sdk.patch (new): Create makefile for building template set
    libraries. Install it together with binaries and scripts needed.
  * Rename prayer-templates as prayer-templates-src and add new binary
    package prayer-templates-dev containing the aforementioned
    template-building tools as well as a README.Debian explaining how to
    use it all.
  * Ship NEWS.Debian only in the prayer package. Ship TEMPLATES in
    prayer-templates-src in addition to prayer-templates-dev.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 25 Oct 2009 19:22:13 +0100

prayer (1.3.2-dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #546918).
    * The set of available template sets has changed and several
      obsolete configuration options are no longer recognized. Please
      see NEWS.Debian for more information.
    - Repacked without University of Cambridge logos with dubious
      copyright/license status (more info in debian/copyright).
    - unbrand_cam_template.patch: Remove said Cambridge-specific graphics
      from 'cam' template set.
    - Drop unlimit_login_username.patch (fixed upstream when replacing
      the old login screen with frontend templates) and
      usernames_with_at.patch (incorporated upstream).
    * clean_completely.patch: Partially implemented upstream.
    * Manpages incorporated upstream.
  * dlopen_templates.patch: Experimental support for dynamically loading
    templates.
  * Update README.Debian.
  * makefile_install_config.patch(share/config.c): Change default
    template_set to "old".
  * makefile_install_config.patch(files/Makefile): Fix permissions on
    icons and static files.
  * manpage_error.patch: Fix missing .El in prayer-session(8).

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 07 Oct 2009 22:50:45 +0200

prayer (1.2.3-2) unstable; urgency=low

  * welcome_is_template.patch wasn't fully incorporated upstream. Remove
    the help_dir setting and check in makefile_install_config.patch instead.c
  * Make Prayer work on kFreeBSD.  Unfortunately there is no support for
    SysV semaphores.


=== debian/control ===
Source: prayer
Section: mail
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: cdbs, debhelper (>= 7),
 libc-client2007e-dev | libc-client-dev,
 libldap2-dev, zlib1g-dev, libssl-dev (>= 0.9.6), libdb-dev, libtidy-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.kibibyte.se/prayer/trunk
Vcs-Browser: http://svn.kibibyte.se/prayer
Homepage: http://www-uxsup.csx.cam.ac.uk/~dpc22/prayer/

Package: prayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, ssl-cert (>= 1.0.11),
         logrotate, exim4 | mail-transport-agent
Suggests: prayer-accountd, prayer-templates-src, imap-server, aspell | ispell
Description: standalone IMAP-based webmail server
 Prayer is yet another Webmail interface.
 .
 It is unusual in that it is a complete, standalone, HTTP server and proxy
 rather a Apache/mod_php plugin. Prayer maintains persistent connections to
 the IMAP server and is written entirely in C. Consequently it is much
 faster than most open source Webmail interfaces and puts very little load
 on either the machines running the Web server or the backend IMAP servers
 (even if traditional Unix format mailfolders are in use).
 .
 Prayer has very few external dependencies as user preferences are stored on
 the IMAP server rather than in a SQL database. It does however implement a
 full range of features and user preference settings.

Package: prayer-templates
Architecture: all
Depends: prayer-templates-src, ${misc:Depends}
Description: dummy package depending on prayer-templates-src
 The Prayer template source package is now called prayer-templates-src.
 This package can safely be removed after upgrade.

Package: prayer-templates-src
Architecture: all
Depends: ${misc:Depends}
Recommends: prayer (>= 1.3.0)
Replaces: prayer-templates (<< 1.3.2-dfsg1-2)
Breaks: prayer-templates (<< 1.3.2-dfsg1-2)
Suggests: prayer-templates-dev
Description: templates for customizing Prayer Webmail
 Prayer is yet another Webmail interface.
 .
 It is unusual in that it is a complete, standalone, HTTP server and proxy
 rather a Apache/mod_php plugin. Prayer maintains persistent connections to
 the IMAP server and is written entirely in C. Consequently it is much
 faster than most open source Webmail interfaces and puts very little load
 on either the machines running the Web server or the backend IMAP servers
 (even if traditional Unix format mailfolders are in use).
 .
 This package contains, in source form, the templates for the HTML
 that Prayer outputs.
 .
 As all the templates are included with the main prayer package in
 compiled form, you only need to install this package if you need to
 customize one or more pages and you want something to start from.

Package: prayer-templates-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, make, gcc
Suggests: prayer-templates-src, prayer
Description: tools for compiling Prayer templates
 Prayer is yet another Webmail interface.
 .
 It is unusual in that it is a complete, standalone, HTTP server and proxy
 rather a Apache/mod_php plugin. Prayer maintains persistent connections to
 the IMAP server and is written entirely in C. Consequently it is much
 faster than most open source Webmail interfaces and puts very little load
 on either the machines running the Web server or the backend IMAP servers
 (even if traditional Unix format mailfolders are in use).
 .
 Prayer uses its own macro expansion language for the HTML it
 outputs. This package contains the programs and scripts needed to
 build template libraries, as well as a makefile to facilitate the
 process.

Package: prayer-accountd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: prayer
Recommends: exim4
Description: account management daemon for Prayer
 Prayer is yet another Webmail interface.
 .
 It is unusual in that it is a complete, standalone, HTTP server and proxy
 rather a Apache/mod_php plugin. Prayer maintains persistent connections to
 the IMAP server and is written entirely in C. Consequently it is much
 faster than most open source Webmail interfaces and puts very little load
 on either the machines running the Web server or the backend IMAP servers
 (even if traditional Unix format mailfolders are in use).
 .
 This package contains a daemon that can do the following for users:
 .
  * Change passwords
  * Change their full name
  * Manage mail filtering (requires Exim) and forwarding
  * Manage vacation messages and logs
 .
 NOTE: This package is currently not very useful.

## prayer 1.3.4-dfsg1

=== debian/changelog ===
prayer (1.3.4-dfsg1-1) unstable; urgency=low

  * New upstream release.
    - Drop ipv6_v6only.patch; fixed upstream.
    * template_sdk.patch: templates/src/build_index.pl no longer need to
      be patched.
  * Bump Standards-Version to 3.9.2.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 27 Aug 2011 22:24:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs, debhelper (>= 7),
  libc-client2007e-dev | libc-client-dev,
  libldap2-dev, zlib1g-dev, libssl-dev (>= 0.9.6), libdb-dev, libtidy-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.kibibyte.se/prayer/trunk
 Vcs-Browser: http://svn.kibibyte.se/prayer
 Homepage: http://www-uxsup.csx.cam.ac.uk/~dpc22/prayer/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

# Add here any variable or target overrides you need

makebuilddir/prayer::
	cp debian/Config .

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) $(MAKE)
DEB_MAKE_INSTALL_TARGET = install BROOT=$(CURDIR)/debian/tmp
DEB_INSTALL_CHANGELOGS_ALL = docs/DONE
DEB_INSTALL_DOCS_prayer-templates = --link-doc=prayer-templates-src
DEB_DH_INSTALL_SOURCEDIR = debian/tmp
DEB_INSTALL_MANPAGES_prayer = "--language=C"

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/-dfsg\d*$// \
ftp://ftp.csx.cam.ac.uk/pub/software/email/prayer/prayer-(.*)\.tar\.gz

## prayer 1.3.5

=== Makefile ===
# $Cambridge: hermes/src/prayer/Makefile,v 1.5 2008/10/02 07:07:03 dpc22 Exp $
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include Config-RPM
else
include Config
endif

SUBDIRS = files lib shared session cmd templates servers utils

ifeq ($(strip $(ACCOUNTD_ENABLE)), true)
SUBDIRS += accountd
endif

all:
	for i in $(SUBDIRS); do $(MAKE) -C $$i all || exit; done

cert:
	(cd files; $(MAKE) cert)

install-cert:
	(cd files; $(MAKE) install-cert)

install:
	$(MAKE) -C files install
	$(MAKE) -C man   install
#	$(MAKE) -C templates install
	$(MAKE) -C servers install
	$(MAKE) -C utils install
ifeq ($(strip $(ACCOUNTD_ENABLE)), true)
	$(MAKE) -C accountd install
endif
ifeq ($(strip $(RPM_BUILD)), true)
	(cd files;  $(MAKE) redhat-install-init.d)
endif

redhat-start:
	(cd files; $(MAKE) redhat-install-init.d)
	chkconfig prayer --level 2345 on
	/etc/init.d/prayer start

redhat-stop:
	@if [ -x /etc/init.d/prayer ]; then \
	/etc/init.d/prayer stop; \
	fi

clean:
	rm -f core *.o *.flc *~ \#*\#
	rm -f defaults/*~ defaults/\#*\#
	rm -rf docs/*~ docs/\#*\#
	for i in $(SUBDIRS); do $(MAKE) -C $$i clean || exit; done

distclean: clean
	(cd files; $(MAKE) distclean)
	cp defaults/Config defaults/Config-RPM .

=== accountd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Cambridge: hermes/src/prayer/accountd/Makefile,v 1.11 2009/09/01 10:35:54 dpc22 Exp $
+# $Cambridge: hermes/src/prayer/accountd/Makefile,v 1.12 2011/06/15 13:17:48 dpc22 Exp $
 # Prayer - a Webmail Interface
 #
 # Copyright (c) University of Cambridge 2000 - 2002
@@ -22,7 +22,12 @@
 ifeq ($(strip $(ACCOUNTD_PAM_ENABLE)), true)
   BASE_INCLUDE      += $(PAM_INCLUDE)
   BASE_LIBS         += $(PAM_LIBS)
-  ACCOUNTD_PAM_DEFS  = -DACCOUNTD_PAM_ENABLE=1
+  ACCOUNTD_AUTH_DEFS += -DACCOUNTD_PAM_ENABLE=1
+endif
+
+ifeq ($(strip $(RAVEN_ENABLE)), true)
+  ACCOUNTD_AUTH_DEFS += -DRAVEN_ENABLE=1
+  ACCOUNTD_SSL_ENABLE=true
 endif
 
 MYCFLAGS  = $(BASECFLAGS)
@@ -64,7 +69,7 @@
 	  -DACCOUNTD_CONFIG_FILE=\"$(ACCOUNTD_CONFIG_FILE)\" $<
 
 authenticate.o: authenticate.c *.h Makefile
-	$(CC) $(MYCFLAGS) -c $(ACCOUNTD_PAM_DEFS) $<
+	$(CC) $(MYCFLAGS) -c $(ACCOUNTD_AUTH_DEFS) $<
 
 clean:
 	-rm -f prayer-accountd test core *.o *~ \#*\#

=== cmd/Makefile ===
# $Cambridge: hermes/src/prayer/cmd/Makefile,v 1.4 2009/03/19 17:30:03 dpc22 Exp $
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

BASECFLAGS += -I../lib -I../shared -I../session 

MYCFLAGS  = $(BASECFLAGS) $(CCLIENT_INCLUDE)

CMD_LIB = cmd.a

CMD_OBJS = cmd.o \
   cmd_abook_add.o cmd_abook_compose.o cmd_abook_compose2.o \
   cmd_abook_export.o cmd_abook_import.o cmd_abook_list.o \
   cmd_abook_lookup.o cmd_abook_lookup_add.o \
   cmd_abook_save.o cmd_abook_search.o cmd_abook_sort.o \
   cmd_abook_update.o cmd_abook_take.o cmd_abook_xfer.o \
   cmd_add_address.o cmd_aggregate.o cmd_aggregate_tmp.o \
   cmd_attachments.o cmd_change.o cmd_check_cookie.o \
   cmd_compose.o cmd_compose1.o cmd_copy.o cmd_copy_msg.o cmd_create.o \
   cmd_delete.o cmd_dictionary.o \
   cmd_dir_check.o cmd_disp_delete.o cmd_disp_undelete.o cmd_detach.o \
   cmd_display.o cmd_printable.o cmd_download.o cmd_download_xfer.o \
   cmd_error.o cmd_exit.o cmd_favourites.o \
   cmd_block.o cmd_filter.o cmd_filter_mbox.o cmd_filter_select.o \
   cmd_folders.o cmd_forward.o cmd_forward1.o cmd_fullname.o \
   cmd_help.o cmd_hdrs.o cmd_include.o cmd_init.o cmd_list.o \
   cmd_list_sort.o cmd_logout.o cmd_manage.o cmd_passwd.o \
   cmd_preferred.o cmd_prefs.o cmd_checkpoint.o \
   cmd_expunge.o cmd_expunge1.o cmd_quota.o \
   cmd_rawdisplay.o cmd_redirect.o cmd_reply.o \
   cmd_reply1.o cmd_reply2.o cmd_rm.o cmd_rm1.o cmd_roles_entry.o \
   cmd_roles_list.o cmd_rename.o cmd_rename_item.o \
   cmd_restart.o cmd_resume.o cmd_search.o cmd_send.o cmd_sizes.o \
   cmd_spam.o cmd_spell.o cmd_subscribe.o cmd_unsubscribe.o cmd_undelete.o \
   cmd_transfer.o cmd_upload_select.o cmd_upload_xfer.o cmd_upload_exit.o \
   cmd_vacation.o cmd_vaclog.o \
   cmd_welcome.o cmd_zoom.o cmd_mark.o \
   cmd_unmark.o cmd_disp_mark.o cmd_disp_unmark.o cmd_sieve.o \
   cmd_action_stub.o

#########################################################################

all:	cmd.a

cmd.a: $(CMD_OBJS)
	rm -f cmd.a
	ar r cmd.a $(CMD_OBJS)

clean:
	rm -f cmd.a $(CMD_OBJS) core *.flc *~ \#*\#

# Default build rule
%.o: %.c *.h Makefile
	$(CC) $(MYCFLAGS) -c $<

=== files/Makefile ===
# $Cambridge: hermes/src/prayer/files/Makefile,v 1.10 2008/10/30 11:28:59 dpc22 Exp $
#
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2002
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

all:	./etc/prayer.cf ./init.d/prayer

./etc/prayer.cf: ./etc/prayer.cf.SRC
	perl -pe "s&__PREFIX__&${PREFIX}&; s&__VAR_PREFIX__&${VAR_PREFIX}&; s&__BIN_DIR__&${BIN_DIR}&;" < ./etc/prayer.cf.SRC > ./etc/prayer.cf

./init.d/prayer: ./init.d/prayer.SRC
	perl -pe "s&__PREFIX__&${PREFIX}&; s&__VAR_PREFIX__&${VAR_PREFIX}&; s&__BIN_DIR__&${BIN_DIR}&; s&__PRAYER_CONFIG_FILE__&${PRAYER_CONFIG_FILE}&;" < ./init.d/prayer.SRC > ./init.d/prayer


ifeq ($(strip $(SSL_ENABLE)), true)
cert:
	rm -f ./certs/prayer.pem
	$(OPENSSL) req -new -x509 -days 365 -nodes \
		-config ./certs/prayer.cnf \
		-out    ./certs/prayer.pem \
		-keyout ./certs/prayer.pem
	$(OPENSSL) x509 -subject -dates -fingerprint -noout \
		-in ./certs/prayer.pem
else
cert:
	echo "SSL disabled"
endif

clean:
	rm -f  core *.o *.flc *~ \#*\#
	rm -f  etc/prayer.cf etc/*~ etc/\#*\#
	rm -f  init.d/prayer init.d/*~ init.d/\#*\#
	rm -rf sending
	rm -rf sockets/?    # Split spool
	find sockets    \! -path "sockets/CVS*"    \! -type d | xargs rm -f
	find tmp        \! -path "tmp/CVS*"        \! -type d | xargs rm -f
	find pid        \! -path "pid/CVS*"        \! -type d | xargs rm -f
	find ssl_scache \! -path "ssl_scache/CVS*" \! -type d | xargs rm -f
	find logs       \! -path "logs/CVS*"       \! -type d | xargs rm -f
	rm -f  certs/*~ certs/\#*\#

distclean:
	rm -f certs/prayer.pem

install-cert:
	if [ -f certs/prayer.pem ]; then \
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) \
	-m $(PRIVATE_FILE) certs/prayer.pem ${BROOT}${PREFIX}/certs; \
	fi

install-config: etc/prayer.cf
	$(INSTALL) -D -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_FILE) \
	etc/prayer.cf ${BROOT}${PRAYER_CONFIG_FILE}

install-aconfig:
	$(INSTALL) -D -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_FILE) \
	etc/prayer-accountd.cf ${BROOT}${ACCOUNTD_CONFIG_FILE}

install-motd:
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_FILE) \
	etc/motd.html ${BROOT}${PREFIX}/etc

install:
	PREFIX=$(BROOT)$(PREFIX) VAR_PREFIX=$(BROOT)$(VAR_PREFIX) \
	RO_USER=$(RO_USER) RO_GROUP=$(RO_GROUP) \
	RW_USER=$(RW_USER) RW_GROUP=$(RW_GROUP) \
	PUBLIC_DIR=$(PUBLIC_DIR) PRIVATE_DIR=$(PRIVATE_DIR) \
	PUBLIC_FILE=$(PUBLIC_FILE) PRIVATE_FILE=$(PRIVATE_FILE) \
	PUBLIC_EXEC=$(PUBLIC_FILE) PRIVATE_EXEC=$(PRIVATE_EXEC) \
	BIN_DIR=$(BIN_DIR) INSTALL=$(INSTALL) \
	./install.sh
	if [ ! -f $(BROOT)$(PREFIX)/certs/prayer.pem ]; then $(MAKE) install-cert; fi
	if [ ! -f $(BROOT)$(PRAYER_CONFIG_FILE) ]; then $(MAKE) install-config; fi
	if [ ! -f $(BROOT)$(ACCOUNTD_CONFIG_FILE) ]; then $(MAKE) install-aconfig; fi
	if [ ! -f $(BROOT)$(PREFIX)/etc/motd.html ]; then $(MAKE) install-motd; fi

redhat-install-init.d:
	install -D -o root -g root -m 755 \
		./init.d/prayer $(BROOT)/etc/rc.d/init.d/prayer
	#chkconfig prayer --level 2345 on

=== lib/Makefile ===
# $Cambridge: hermes/src/prayer/lib/Makefile,v 1.14 2010/07/08 09:34:25 dpc22 Exp $ 

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

ifeq ($(strip $(SSL_ENABLE)), true)
  SSL_DEFS       = -DSSL_ENABLE
  ifeq ($(strip $(SESSION_CACHE_ENABLE)), true)
    # Berkeley DB required for SSL session cache.
    SSL_DEFS    += -DSESSION_CACHE_ENABLE
    DB_DEFS      = -DDB_ENABLE
  endif
  TARGETS=lib_withssl.a lib_nossl.a
else
  TARGETS=lib_nossl.a
endif

# Enable SYSV mutex
ifeq ($(strip $(MUTEX_SEMAPHORE)), true)
  MUTEX_DEF = -DMUTEX_SEMAPHORE
endif

# Enable Electric Fence
ifeq ($(strip $(FENCE_ENABLE)), true)
  BASECFLAGS += $(FENCE_INCLUDE)
endif

MYCFLAGS  = $(BASECFLAGS)

OBJS= \
  pool.o assoc.o list.o buffer.o str.o memblock.o mystring.o iostream.o \
  misc.o ipaddr.o os.o process.o utf8.o html.o \
  mymutex.o setproctitle.o cdb.o template.o template_parse.o \
  template_compile.o template_expand.o template_vals.o

WITHSSL_OBJS = ssl.o mydb_db3.o mydb.o raven_wls_response.o

NOSSL_OBJS = no_ssl.o

all: $(TARGETS)

lib_withssl.a: $(OBJS) $(WITHSSL_OBJS)
	rm -f lib_withssl.a
	ar q lib_withssl.a $(OBJS) $(WITHSSL_OBJS)

lib_nossl.a: $(OBJS) $(NOSSL_OBJS)
	rm -f lib_nossl.a
	ar q lib_nossl.a $(OBJS) $(NOSSL_OBJS)

%.o: %.c *.h Makefile
	$(CC) $(MYCFLAGS) -c $<

os.o: os.c
	$(CC) $(MYCFLAGS) -c $(OS_DEFS) $<

ssl.o: ssl.c *.h Makefile
	$(CC) $(MYCFLAGS) $(SSL_INCLUDE) $(SSL_DEFS) -c $<

raven_wls_response.o: raven_wls_response.c *.h Makefile
	$(CC) $(MYCFLAGS) $(SSL_INCLUDE) $(SSL_DEFS) -c $<


# mydb_db3.o: need to add DB_DEFS
mydb_db3.o: mydb_db3.c *.h Makefile
	$(CC) $(MYCFLAGS) $(DB_INCLUDE) $(DB_DEFS) -c $<

mymutex.o:  mymutex.c mymutex_sem.c mymutex_file.c
	$(CC) $(MYCFLAGS) $(MUTEX_DEF) -c $<

clean:
	rm -f lib.o $(OBJS) $(WITHSSL_OBJS) $(NOSSL_OBJS) *~ \#*\# $(TARGETS)

=== man/Makefile ===
# $Cambridge: hermes/src/prayer/man/Makefile,v 1.2 2008/09/16 09:59:57 dpc22 Exp $
#
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

install:
	PREFIX=$(BROOT)$(PREFIX) VAR_PREFIX=$(BROOT)$(VAR_PREFIX) \
	RO_USER=$(RO_USER) RO_GROUP=$(RO_GROUP) \
	RW_USER=$(RW_USER) RW_GROUP=$(RW_GROUP) \
	PUBLIC_DIR=$(PUBLIC_DIR) PRIVATE_DIR=$(PRIVATE_DIR) \
	PUBLIC_FILE=$(PUBLIC_FILE) PRIVATE_FILE=$(PRIVATE_FILE) \
	PUBLIC_EXEC=$(PUBLIC_FILE) PRIVATE_EXEC=$(PRIVATE_EXEC) \
	BIN_DIR=$(BIN_DIR) INSTALL=$(INSTALL) \

	mkdir -p $(BROOT)$(PREFIX)/man
	mkdir -p $(BROOT)$(PREFIX)/man/man5
	mkdir -p $(BROOT)$(PREFIX)/man/man8

	$(INSTALL) prayer.cf.5        $(BROOT)$(PREFIX)/man/man5
	$(INSTALL) prayer.8           $(BROOT)$(PREFIX)/man/man8
	$(INSTALL) prayer-session.8   $(BROOT)$(PREFIX)/man/man8
	$(INSTALL) prayer-ssl-prune.8 $(BROOT)$(PREFIX)/man/man8

=== servers/Makefile ===
# $Cambridge: hermes/src/prayer/servers/Makefile,v 1.20 2012/06/30 14:30:08 dpc22 Exp $
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

BASECFLAGS += -I../lib -I../shared -I../session

# Default list of things to build
BIN = prayer prayer-session prayer-chroot

# Enable on the fly compression
ifeq ($(strip $(GZIP_ENABLE)), true)
  BASE_LIBS  += $(Z_LIBS)
endif

# Enable LDAP
ifeq ($(strip $(LDAP_ENABLE)), true)
  BASE_LIBS  += $(LDAP_LIBS)
endif

# Enable Electric Fence
ifeq ($(strip $(FENCE_ENABLE)), true)
  BASECFLAGS += $(FENCE_INCLUDE)
  BASE_LIBS  += $(FENCE_LIBS)
endif

# Enable libtidy
ifeq ($(strip $(TIDY_ENABLE)), true)
  BASECFLAGS += $(TIDY_INCLUDE)
  BASE_LIBS  += $(TIDY_LIBS)
endif

ifeq ($(strip $(SSL_ENABLE)), true)
  ifeq ($(strip $(RAVEN_ENABLE)), true)
    RAVEN_ENABLE_DEFS     = -DRAVEN_ENABLE
  endif
  SERVER_SSL_DEFS       = -DSSL_ENABLE
  SERVER_SSL_INCLUDE    = $(SSL_INCLUDE)
  SERVER_SSL_LIBS       = $(SSL_LIBS)
  ifeq ($(strip $(SESSION_CACHE_ENABLE)), true)
    # Berkeley DB required for SSL session cache.
    SERVER_SSL_DEFS    += -DSESSION_CACHE_ENABLE
    SERVER_SSL_LIBS    += $(DB_LIBS)
  endif
  LIB=../lib/lib_withssl.a
else
  LIB=../lib/lib_nossl.a
endif

ifeq ($(strip $(ACCOUNTD_ENABLE)), true)
  ifeq ($(strip $(ACCOUNTD_USE_BSD_PTY)), true)
    BASE_LIBS += -lutil
  endif
endif

PRAYER_LIBS   = $(BASE_LIBS) $(SERVER_SSL_LIBS)
SESSION_LIBS  = $(CCLIENT_LIBS) $(BASE_LIBS) 

# Add SSL if c-client needs SSL
ifeq ($(strip $(CCLIENT_SSL_ENABLE)), true)
  SESSION_LIBS += $(SSL_LIBS)
endif

# Add PAM if backend needs pam
ifeq ($(strip $(CCLIENT_PAM_ENABLE)), true)
  SESSION_LIBS += $(PAM_LIBS)
endif

# Add Kerberos if backend needs Kerberos
ifeq ($(strip $(CCLIENT_KERB_ENABLE)), true)
  SESSION_LIBS += $(KERB_LIBS)
endif

MYCFLAGS  = $(BASECFLAGS) $(SERVER_SSL_INCLUDE) $(CCLIENT_INCLUDE)
MYLDFLAGS = $(BASELDFLAGS)

TEMPLATES= ../templates/index.o \
 ../templates/old/templates.a \
 ../templates/cam/templates.a \

TEMPLATES_FRONTEND= ../templates/index.o \
 ../templates/old/templates_frontend.a \
 ../templates/cam/templates_frontend.a

PRAYER_OBJS= prayer.o prayer_login.o prayer_server.o portlist.o \
  ../shared/shared.a $(LIB) $(TEMPLATES_FRONTEND)

SESSION_OBJS= \
   session_config.o session_exchange.o session_unix.o session_server.o \
   session_main.o portlist.o ../cmd/cmd.a ../session/session.a \
   ../shared/shared.a ../lib/lib_nossl.a

SESSION_OBJS += $(TEMPLATES)

#########################################################################

all:	$(BIN)

clean:
	-rm -f $(BIN) core *.o *.flc *~ \#*\#

install: all
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_DIR) -d \
	  $(BROOT)$(BIN_DIR)
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_EXEC) \
	  prayer           $(BROOT)$(BIN_DIR)
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_EXEC) \
	  prayer-chroot           $(BROOT)$(BIN_DIR)
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_EXEC) \
	  prayer-session   $(BROOT)$(BIN_DIR)

prayer: $(PRAYER_OBJS) prayer_main.o
	$(CC) $(MYLDFLAGS) -o prayer prayer_main.o $(PRAYER_OBJS) $(PRAYER_LIBS)

prayer-chroot: $(PRAYER_OBJS) prayer_chroot.o
	$(CC) $(MYLDFLAGS) -o prayer-chroot prayer_chroot.o $(PRAYER_OBJS) $(PRAYER_LIBS)

prayer-session: $(SESSION_OBJS)
	$(CC) $(MYLDFLAGS) -o prayer-session \
		$(SESSION_OBJS) $(SESSION_LIBS)

prayer_login.o: prayer_login.c *.h Makefile
	$(CC) $(MYCFLAGS) -c $(RAVEN_ENABLE_DEFS) $<

prayer_main.o: prayer_main.c *.h Makefile
	$(CC) $(MYCFLAGS) -c \
	  -DPRAYER_CONFIG_FILE=\"$(PRAYER_CONFIG_FILE)\" $<

prayer_chroot.o: prayer_chroot.c *.h Makefile
	$(CC) $(MYCFLAGS) -c \
	  -DPRAYER_CONFIG_FILE=\"$(PRAYER_CONFIG_FILE)\" $<

session_main.o: session_main.c *.h Makefile
	$(CC) $(MYCFLAGS) -c \
	  -DPRAYER_CONFIG_FILE=\"$(PRAYER_CONFIG_FILE)\" $<

# Default build rule
%.o: %.c *.h Makefile
	$(CC) $(MYCFLAGS) -c $<

=== session/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Cambridge: hermes/src/prayer/session/Makefile,v 1.7 2010/07/08 10:20:42 dpc22 Exp $
+# $Cambridge: hermes/src/prayer/session/Makefile,v 1.9 2011/06/17 15:22:57 dpc22 Exp $
 #
 # Prayer - a Webmail Interface
 #
@@ -24,9 +24,12 @@
   BASECFLAGS += $(FENCE_INCLUDE)
 endif
 
-# Enable libtidy
+# Enable libtidy or libtidyp fork
 ifeq ($(strip $(TIDY_ENABLE)), true)
   TIDY_DEF = -DTIDY_ENABLE=1
+  ifeq ($(strip $(TIDY_IS_TIDYP)), true)
+    TIDY_DEF += -DTIDY_IS_TIDYP=1
+  endif
   BASECFLAGS += $(TIDY_INCLUDE)
   BASE_LIBS  += $(TIDY_LIBS)
 endif

=== shared/Makefile ===
# $Cambridge: hermes/src/prayer/shared/Makefile,v 1.5 2009/03/19 17:30:03 dpc22 Exp $
#
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

# Enable on the fly compression
ifeq ($(strip $(GZIP_ENABLE)), true)
  GZIP_DEF    = -DGZIP_ENABLE
  BASECFLAGS += $(Z_INCLUDE)
endif

# Enable SYSV mutex
ifeq ($(strip $(MUTEX_SEMAPHORE)), true)
  MUTEX_DEF = -DMUTEX_SEMAPHORE
endif

# Enable Electric Fence
ifeq ($(strip $(FENCE_ENABLE)), true)
  BASECFLAGS += $(FENCE_INCLUDE)
endif

BASECFLAGS += -I../lib

MYCFLAGS  = $(BASECFLAGS)

SHARED_OBJS = \
 config.o gzip.o html_common.o log.o \
 request.o response.o user_agent.o


all: $(SHARED_OBJS)
	rm -f shared.a
	ar r shared.a $(SHARED_OBJS)

# response.o: need to add GZIP_ENABLE
response.o: response.c *.h Makefile
	$(CC) $(MYCFLAGS) $(GZIP_DEF) -c $<

# gzip.o: need to add GZIP_ENABLE
gzip.o: gzip.c *.h Makefile
	$(CC) $(MYCFLAGS) $(GZIP_DEF) -c $<

# config.o: need to add MUTEX_DEF
config.o: config.c *.h Makefile
	$(CC) $(MYCFLAGS) $(MUTEX_DEF) -c $<

# Default build rule
%.o: %.c *.h Makefile
	$(CC) $(MYCFLAGS) -c $<

clean:
	-rm -f shared.a $(SHARED_OBJS) *.flc *~ \#*\#

=== templates/Makefile ===
# $Cambridge: hermes/src/prayer/templates/Makefile,v 1.15 2009/03/19 17:30:03 dpc22 Exp $
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

TEMPLATES = old cam

SUBDIRS = src $(TEMPLATES)

BASECFLAGS = -I../lib
MYCFLAGS  = $(BASECFLAGS)

all: index.o
	for i in $(SUBDIRS); do $(MAKE) -C $$i all; done

install:
	for i in $(SUBDIRS); do $(MAKE) -C $$i install; done

clean:
	for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done
	rm -f index.o index.c index_frontend.o index_frontend.c

index.o: index.c
	$(CC) $(MYCFLAGS) -c index.c

index.c: ./src/build_map_index.pl
	./src/build_map_index.pl $(TEMPLATES) > index.c

=== utils/Makefile ===
# $Cambridge: hermes/src/prayer/utils/Makefile,v 1.9 2009/03/19 17:30:03 dpc22 Exp $
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

BASECFLAGS += -I../lib -I../shared -I../session

# Default list of things to build
BIN = prayer-ssl-prune prayer-cyclog prayer-sem-prune

# Enable SYSV mutex
ifeq ($(strip $(MUTEX_SEMAPHORE)), true)
  MUTEX_DEF = -DMUTEX_SEMAPHORE
endif

# Enable Electric Fence
ifeq ($(strip $(FENCE_ENABLE)), true)
  BASECFLAGS += $(FENCE_INCLUDE)
  BASE_LIBS  += $(FENCE_LIBS)
endif

# Enable on the fly compression
ifeq ($(strip $(GZIP_ENABLE)), true)
  BASE_LIBS  += $(Z_LIBS)
endif

# Add PAM if backend needs pam
ifeq ($(strip $(CCLIENT_PAM_ENABLE)), true)
  BASECFLAGS   += $(PAM_INCLUDE)
endif

# Add Kerberos if backend needs Kerberos
ifeq ($(strip $(CCLIENT_KERB_ENABLE)), true)
  BASECFLAGS   += $(KERB_INCLUDE)
endif

ifeq ($(strip $(ACCOUNTD_ENABLE)), true)
  ifeq ($(strip $(ACCOUNTD_USE_BSD_PTY)), true)
    BASE_LIBS += -lutil
  endif
endif

MYCFLAGS  = $(BASECFLAGS) $(SSL_INCLUDE) $(CCLIENT_INCLUDE)
MYLDFLAGS = $(BASELDFLAGS)

PRUNE_OBJS = ssl_prune_main.o ../shared/shared.a
PRUNE_LIBS = $(BASE_LIBS)

ifeq ($(strip $(SSL_ENABLE)), true)
  PRUNE_OBJS += ../lib/lib_withssl.a
  PRUNE_LIBS += $(SSL_LIBS)
  ifeq ($(strip $(SESSION_CACHE_ENABLE)), true)
    # Berkeley DB required for SSL session cache.
    PRUNE_LIBS  += $(DB_LIBS)
  endif
else
  PRUNE_OBJS += ../lib/lib_nossl.a
endif

#########################################################################

all:	$(BIN)

clean:
	-rm -f $(BIN) core *.o *.flc *~ \#*\#

install: all
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_DIR) -d \
	  $(BROOT)$(BIN_DIR)
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_EXEC) \
	  prayer-ssl-prune $(BROOT)$(BIN_DIR)
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_EXEC) \
	  prayer-sem-prune $(BROOT)$(BIN_DIR)
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_EXEC) \
	  prayer-db-prune $(BROOT)$(BIN_DIR)
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_EXEC) \
	  prayer-cyclog    $(BROOT)$(BIN_DIR)

prayer-ssl-prune: $(PRUNE_OBJS)
	$(CC) $(MYLDFLAGS) -o prayer-ssl-prune $(PRUNE_OBJS) $(PRUNE_LIBS)

prayer-cyclog: prayer-cyclog.SRC
	perl -pe "s&__PREFIX__&${PREFIX}&; s&__VAR_PREFIX__&${VAR_PREFIX}&; s&__BIN_DIR__&${BIN_DIR}&;" < prayer-cyclog.SRC > prayer-cyclog

ssl_prune_main.o: ssl_prune_main.c Makefile
	$(CC) $(MYCFLAGS) -c \
	  -DPRAYER_CONFIG_FILE=\"$(PRAYER_CONFIG_FILE)\" $<

prayer-sem-prune: prayer-sem-prune.o
	$(CC) $(MYLDFLAGS) -o prayer-sem-prune prayer-sem-prune.o

prayer-sem-prune.o: prayer-sem-prune.c
	$(CC) $(MYCFLAGS) $(MUTEX_DEF) -c $<

# Default build rule
%.o: %.c Makefile
	$(CC) $(MYCFLAGS) -c $<

=== templates/cam/Makefile ===
# $Cambridge: hermes/src/prayer/templates/cam/Makefile,v 1.5 2010/07/07 08:33:47 dpc22 Exp $

ifeq ($(strip $(RPM_BUILD)), true)
include ../../Config-RPM
else
include ../../Config
endif

CFLAGS  = $(BASECFLAGS)
LDFLAGS = $(BASELDFLAGS)

TYPE=cam

TARGETS=templates.a templates_frontend.a

T_FILES_FRONTEND=login.t login_hermes.t \
  frontend_login_error.t frontend_security.t frontend_session.t \
  frontend_timeout.t frontend_compose_timeout.t \
  header.t footer.t container_start.t container_end.t

O_FILES_FRONTEND=_template_index_frontend.o ${T_FILES_FRONTEND:.t=.o} 

C_FILES_FRONTEND=${O_FILES_FRONTEND:.o=.c}

T_FILES=raven_blocked.t \
 printable.t printable_tail.t printable_hdrs.t printable_addr.t \
 abook_add_help.t abook_add.t abook_list_help.t abook_list_nav_1_icons.t \
 abook_list_nav_1_noicons.t abook_list_nav_1.t abook_list_nav_2.t \
 abook_list_search.t abook_list.t abook_list_title.t \
 abook_list_toolbar_bottom.t abook_list_toolbar_top.t abook_lookup_help.t \
 abook_lookup_nav_1_icons.t abook_lookup_nav_1_noicons.t \
 abook_lookup_nav_1.t abook_lookup_search.t abook_lookup.t \
 abook_search_help.t abook_search.t abook_take_help.t abook_take.t \
 abook_transfer_help.t abook_transfer.t abook_update_help.t abook_update.t \
 action_stub.t attachments_help.t attachments.t block_fail.t block_help.t \
 block.t compose_large_help.t compose_large_top.t compose_postponed_help.t \
 compose_postponed.t compose_small_help.t compose_small_top.t compose.t \
 compose_toolbar_left.t compose_toolbar_right.t compose_toolbar.t \
 container_end.t container_start.t copy_help.t copy.t copy_toolbar.t \
 dictionary_help.t dictionary.t display_addr.t display_hdrs.t display_help.t \
 display_images.t display_mime_msg.t display_mime_other.t display_mime.t \
 display_mime_text.t display.t display_tail.t display_toolbar_icons.t \
 display_toolbar_noicons.t display_toolbar.t download_xfer_error.t error.t \
 expunge.t favlist_favourites.t favlist.t favourites_help.t favourites.t \
 favourites_toolbar.t filter_fail.t filter_help.t filter_select_help.t \
 filter_select.t filter_select_toolbar.t filter.t folderlist_folders.t \
 folderlist_icons.t folderlist_nfolders.t folderlist_noicons.t \
 folderlist_select.t folderlist.t folders_help.t folders.t folders_toolbar.t \
 footer.t fullname_help.t fullname.t header.t include_help.t include.t \
 list_help.t list_msgs.t list_nav_1_icons.t list_nav_1_noicons.t \
 list_nav_1.t list_nav_2.t list.t list_title.t list_toolbar_bottom.t \
 list_toolbar_top.t logout_raven.t logout.t manage_help.t manage.t \
 passwd_help.t passwd.t prefs_compose1_help.t prefs_compose2_help.t \
 prefs_compose2.t prefs_compose.t prefs_display1_help.t \
 prefs_display_abook_sort.t prefs_display_folder_sort.t prefs_display.t \
 prefs_folder_help.t prefs_folder.t prefs_general_help.t prefs_general.t \
 prefs_option.t quota_help.t quota.t redirect_fail.t redirect_help.t \
 redirect.t rename_help.t rename.t rename_toolbar.t reply_help.t reply.t \
 restart.t rm.t roles_entry_help.t roles_entry.t roles_list_help.t \
 roles_list.t roles_select_help.t roles_select.t search_date_help.t \
 search_date.t search_footer.t search_header.t search_size_help.t \
 search_size.t search_status_help.t search_status.t search_text_help.t \
 search_text.t sieve_error.t sieve_error_tail.t sieve_fail.t sieve_help.t \
 sieve.t sizes_help.t sizes.t sizes_toolbar.t sort_icon.t spam_fail.t \
 spam_help.t spam.t spell.t status.t submitenter_js.t tb_form.t \
 tb_icon_form.t tb_icon.t tb_item.t toolbar_help.t toolbar_left.t \
 toolbar_right.t toolbar_stub_help.t toolbar.t transfer_help.t transfer.t \
 transfer_toolbar_bottom.t transfer_toolbar_top.t upload_select_help.t \
 upload_select.t vacation_fail.t vacation_help.t vacation.t vaclog_fail.t \
 vaclog_help.t vaclog.t welcome_help.t welcome.t 


O_FILES=_template_index.o ${T_FILES:.t=.o} 

C_FILES=${O_FILES:.o=.c}

.PRECIOUS: $(C_FILES)

HTML=\
 abook_add.html abook_list.html abook_lookup.html \
 abook_search.html abook_take.html abook_transfer.html abook_update.html \
 attachments.html block_fail.html block.html compose_postponed.html \
 compose.html copy.html dictionary.html display.html download_xfer_error.html \
 error.html expunge.html favourites.html filter_fail.html \
 filter_select.html filter.html folders.html fullname.html include.html \
 list.html logout.html logout_raven.html manage.html passwd.html \
 prefs_compose2.html prefs_compose.html prefs_display.html prefs_folder.html \
 prefs_general.html quota.html redirect_fail.html \
 redirect.html rename.html reply.html restart.html rm.html roles_entry.html \
 roles_list.html roles_select.html search_date.html \
 search_size.html search_status.html search_text.html sieve_error.html \
 sieve_fail.html sieve.html spam_fail.html spam.html spell.html \
 transfer.html upload_select.html vacation_fail.html vacation.html \
 vaclog_fail.html vaclog.html welcome.html

EXPAND=../src/template_expand
COMPILE=../src/template_compile

all: $(TARGETS)

test: $(HTML)

%.html: %.t %.vars common.vars Makefile
	$(EXPAND) $@ $* common.vars $*.vars

templates_frontend.a: $(O_FILES_FRONTEND)
	rm -f templates_frontend.a
	ar q templates_frontend.a $(O_FILES_FRONTEND)

templates.a: $(O_FILES)
	rm -f templates.a
	ar q templates.a $(O_FILES)

%.o: %.c Makefile
	$(CC) $(CFLAGS) -I../../lib -c $<

_template_index_frontend.c:
	../src/build_index.pl $(TYPE) $(T_FILES_FRONTEND) > _template_index_frontend.c

_template_index.c:
	../src/build_index.pl $(TYPE) $(T_FILES) > _template_index.c

%.c: %.t Makefile
	$(COMPILE) $(TYPE) $@ $*

install:
	$(INSTALL) -o $(RO_USER) -g $(RO_GROUP) -m $(PUBLIC_DIR) -d \
	  $(BROOT)$(PREFIX)/templates/$(TYPE)
	cp *.t $(BROOT)$(PREFIX)/templates/$(TYPE)
	cp *.vars $(BROOT)$(PREFIX)/templates/$(TYPE)

clean:
	rm -f $(TARGETS) *.html *.o *.c \#*\# *~

include Makefile.deps

## prayer 1.3.5-dfsg1

=== debian/changelog ===
prayer (1.3.5-dfsg1-3) unstable; urgency=low

  * disable_ssl3.patch (new): Disable SSL 3.0 due to CVE-2014-3566
    (POODLE).
  * debian/Config: Disable ACCOUNTD_SSL_ENABLE since the SSL/TLS support
    in prayer-accountd and prayer-session is incomplete and never was
    functional.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 29 Oct 2014 22:32:18 +0100

prayer (1.3.5-dfsg1-2) unstable; urgency=high

  * dlopen_templates.patch: Use MYCFLAGS (which is initialized to the
    value of CFLAGS from dpkg-buildflags in the Config file) instead of
    CFLAGS in templates/{src,cam,old}/Makefile (Closes: #715310, LP:
    #1201216). The --defsym options were lost when we let CDBS override
    CFLAGS in the previous upload.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 18 Jul 2013 22:47:08 +0200

prayer (1.3.5-dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop dummy package prayer-templates.
  * No longer override CDBS overriding CFLAGS, thereby allowing hardening
    flags to be properly propagated. I think it caused internal include
    flags to be lost, but since at least 1.3.2 that's no longer the case.
  * Bump Standards-Version to 3.9.4.
  * hurd.patch: Always define HAVE_SHADOW. The test for BSD4_4 seems
    bogus; it is defined on Hurd, but crypt(3) is available there.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 12 Jun 2013 00:09:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs, debhelper (>= 7),
  libc-client2007e-dev | libc-client-dev,
  libldap2-dev, zlib1g-dev, libssl-dev (>= 0.9.6), libdb-dev, libtidy-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Svn: svn://svn.kibibyte.se/prayer/trunk
 Vcs-Browser: http://svn.kibibyte.se/prayer
 Homepage: http://www-uxsup.csx.cam.ac.uk/~dpc22/prayer/
@@ -28,13 +28,6 @@
  Prayer has very few external dependencies as user preferences are stored on
  the IMAP server rather than in a SQL database. It does however implement a
  full range of features and user preference settings.
-
-Package: prayer-templates
-Architecture: all
-Depends: prayer-templates-src, ${misc:Depends}
-Description: dummy package depending on prayer-templates-src
- The Prayer template source package is now called prayer-templates-src.
- This package can safely be removed after upgrade.
 
 Package: prayer-templates-src
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,7 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) $(MAKE)
 DEB_MAKE_INSTALL_TARGET = install BROOT=$(CURDIR)/debian/tmp
 DEB_INSTALL_CHANGELOGS_ALL = docs/DONE
-DEB_INSTALL_DOCS_prayer-templates = --link-doc=prayer-templates-src
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp
 DEB_INSTALL_MANPAGES_prayer = "--language=C"

=== debian/watch ===
version=3

opts=dversionmangle=s/-dfsg\d*$// \
ftp://ftp.csx.cam.ac.uk/pub/software/email/prayer/prayer-(.*)\.tar\.gz
